Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1338 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

[patch] IEEE80211_TXPOWER_MAX constant is wrong

Reported by: mtaylor Assigned to: mtaylor
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

This patch corrects the limit constant, IEEE80211_TXPOWER_MAX, which was specified as 100 when in fact the limit at the hardware level is always either (6 bits) 0-63 for whole dBm units or (7 bits) 0-127 for half dBm units.

In order to access the full range of the hardware the constant needs to be 127, for 0.5dBm units. While you won't typically use this in a production environment any more than you will use 100 - we should be able to specify the full range of power settings for testing modes.

Attachments

madwifi-0.9.3-correct-txpower-max.diff (1.2 kB) - added by mtaylor on 05/23/07 19:21:26.
Fix IEEE80211_TXPOWER_MAX from 100 (50dBm) to 127 (63.5dBm)

Change History

05/23/07 19:21:26 changed by mtaylor

  • attachment madwifi-0.9.3-correct-txpower-max.diff added.

Fix IEEE80211_TXPOWER_MAX from 100 (50dBm) to 127 (63.5dBm)

05/24/07 01:29:13 changed by mentor

I think you should add a comment about why the range is as it is. Then, I think, it needs applying.

05/24/07 09:37:07 changed by mrenzmann

  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.4.

I agree with what mentor said.

05/24/07 23:26:55 changed by mtaylor

  • status changed from new to closed.
  • patch_attached set to 1.
  • resolution set to fixed.

Fixed in r2371.

02/11/08 06:18:44 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.